Batch start or resume reindexing

Base URL
https://{kibana_url}
  • POST /api/upgrade_assistant/reindex/batch
Auth

Start or resume multiple reindexing tasks in one request. Additionally, reindexing tasks started or resumed via the batch endpoint will be placed on a queue and run one-by-one, which ensures that minimal cluster resources are consumed over time.

Request body

indexNames string[] required

The list of index names to be reindexed. The order of the indices determines the order that the reindex tasks are run.

Response

Indicates a successful call.

application/json
errors object[]

A list of errors that may have occurred preventing the reindex task from being created.

Base URL
https://{kibana_url}